Skip to content

Enrich Company

Return a company's full profile from our data lake by any single identifier.

GET /api/v1/company

Returns a company’s full profile from our data lake by any single identifier you already have.

Provide one of linkedin_url, username, company_id, or id.

Query parameters

Parameter Type Required Description
linkedin_url string one of Full LinkedIn company URL
username string one of Company slug after /company/
company_id string one of Numeric company ID
id string one of Kooperativa internal company ID

Pricing

Code examples

cURLbash
curl "https://kooperativa.io/api/v1/company?username=stripe" \
  -H "Authorization: Bearer ik_live_..."
JavaScriptjs
const res = await fetch(
  "https://kooperativa.io/api/v1/company?username=stripe",
  { headers: { Authorization: `Bearer ${process.env.KOOPERATIVA_API_KEY}` } }
);
const { data } = await res.json();
Pythonpython
import os, requests

res = requests.get(
    "https://kooperativa.io/api/v1/company",
    params={"username": "stripe"},
    headers={"Authorization": f"Bearer {os.environ['KOOPERATIVA_API_KEY']}"},
)
data = res.json()["data"]

Response

{
  "data": {
    "id": "b40cd26f-06f0-4097-897e-39b520c285a8",
    "company_id": "2135371",
    "name": "Stripe",
    "tagline": "Help increase the GDP of the internet.",
    "website": "https://stripe.com",
    "linkedin_url": "https://www.linkedin.com/company/stripe",
    "company_type": "Privately Held",
    "founded_year": 2010,
    "staff_count": 16904,
    "follower_count": 1200000,
    "hq_city": "South San Francisco",
    "hq_country_code": "US",
    "industries": ["Financial Services"],
    "fetched_at": "2026-07-14T10:00:00Z"
  }
}
Navigation

Type to search…

↑↓ navigate↵ selectEsc close